com.corticon.eclipse.studio.rule.ruleflow.diagram.core

## Interface IRuleflowDiagramDialogAPI

- All Superinterfaces:
    IDialogAPI

      public interface IRuleflowDiagramDialogAPI
      extends IDialogAPI

  Interface for "dialog smarts" API that allows the client dialog to create and save Ruleflow resource.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.corticon.rulesemf.assetmodel.RuleflowAsset` | `createRuleflow(IRuleflowDiagramModelAPI aIRuleflowDiagramModelAPI, org.eclipse.emf.common.util.URI aURIRuleflow, org.eclipse.emf.common.util.URI aURIVocab)` Invokes the `IRuleflowDiagramModelAPI.createRuleflow()` method to create a new Ruleflow resource with the specified URI.

    - ### Methods inherited from interface com.corticon.eclipse.core.IDialogAPI

      `displayMessageBox, getIExceptionDialogDelegate, getLocale, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getPreferences, getScrollableMessageDelegate, getUserInterfaceInfoDelegate, setIExceptionDialogDelegate, setLocale, setMessageBoxDelegate, setPreferencesDelegate, setScrollableMessageDelegate, setUserInterfaceInfoDelegate`

- - ### Method Detail

    - #### createRuleflow

          com.corticon.rulesemf.assetmodel.RuleflowAsset createRuleflow(IRuleflowDiagramModelAPI aIRuleflowDiagramModelAPI,
                                                                      org.eclipse.emf.common.util.URI aURIRuleflow,
                                                                      org.eclipse.emf.common.util.URI aURIVocab)

      Invokes the `IRuleflowDiagramModelAPI.createRuleflow()` method to create a new Ruleflow resource with the specified URI.
      Also, sets the vocabulary reference based on the vocab selection.
      Calls the `IRuleflowDiagramModelAPI.addView()` method to add a new presentation metaphor (view) to the asset (API context object) represented IRuleflowDiagramModelAPI.
      Parameters:
        `aIRuleflowDiagramModelAPI` - RuleflowDiagramModelAPI that the new Ruleflow will be created in
        `aURIRuleflow` - New Ruleflow URI.
        `aURIVocab` - URI to vocab file
      Returns:
        New RuleflowAsset instance.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.